We're updating the issue view to help you get more done. 

WFS Operations in Data Security view don't match WFS 2.0 Capabilities

Description

The WFS methods/operations available to configure security rules for in the Data Security Web UI view don't match the new WFS operations in WFS 2.0. Therefore, there's no way to restrict those operations it seems (GetPropertyValue, ListStoredQueries, DescribeStoredQueries, CreateStoredQuery, DropStoredQuery).

A freshly installed GeoServer 2.8.3 includes all of the operations in the WFS 2.0 GetCapabilities response but they don't appear in the Data Security config view.

Environment

RedHat Linux 6.7, Tomcat 7.x, JDK 7

Status

Assignee

Unassigned

Reporter

Micah Wengren

Triage

None

Fix versions

Affects versions

2.8.3

Components

Priority

Medium